<template>
    <div>
        <div class="columns">
            <div class="column is-fullwidth">
                <span class="is-size-5">
                    <b>resumo do pedido</b>
                </span>
            </div>
        </div>
        <div class="columns is-mobile">
            <div class="column is-half">
                <p class="has-text-weight-normal">
                    <span v-if="cart.totalQtd === 1">1 produto</span>
                    <span v-else>{{ cart.totalQtd }} produtos</span>
                </p>
                <p class="has-text-weight-normal">frete</p>
            </div>
            <div class="column is-half">
                <p class="has-text-right has-text-weight-normal">{{ cart.subtotal }}</p>
                <p class="has-text-right has-text-weight-normal">{{ cart.freteValorC ? cart.freteValorC : '-'}}</p>
            </div>
        </div>
        <hr>
        <div class="columns is-fullwidth is-mobile">
            <div class="column is-half">
                <p class="has-text-weight-bold">total</p>
                <p></p>
            </div>
            <div class="column is-half">
                <p class="has-text-right has-text-weight-bold">{{ cart.totalCart }}</p>
                <p class="has-text-right has-text-weight-normal is-size-7">em até 6x s/ juros</p>
            </div>
        </div>
        <div class="has-text-centered">
            <slot name="submit" />
            <slot name="cupom" />
        </div>
    </div>
</template>

<script>

export default {

    data() {
        return {
            
        }
    },

    props: ['cart']
    
}
</script>

<style scoped>
    
</style>